Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezarticle/xmlrpc/typelist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: typelist.php 6206 2001-07-19 12:19:22Z jakobn $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // eZ article classes
28 // include_once( "ezarticle/classes/ezarticletype.php" );
29
30 $types = array();
31
32 $typeList =& eZArticleType::getAll();
33 foreach ( $typeList as $type )
34 {
35 $types[] = new eZXMLRPCStruct( array( "URL" => createURLStruct( "ezarticle",
36 "type",
37 $type->id() ),
38 "Name" => new eZXMLRPCString( $type->name() )
39 // "Description" => new eZXMLRPCString( $type->description() )
40 ) );
41 }
42
43 $part_arr = array( "Offset" => new eZXMLRPCInt( 0 ),
44 "Total" => new eZXMLRPCInt( count( $typeList ) ),
45 "Begin" => new eZXMLRPCBool( true ),
46 "End" => new eZXMLRPCBool( true ) );
47 $part = new eZXMLRPCStruct( $part_arr );
48
49 $ReturnData = new eZXMLRPCStruct( array( "Catalogues" => array(),
50 "Elements" => $types,
51 "Part" => $part ) ); // array starting with top level catalogue, ending with parent.
52 ?>
eZArticleType\getAll
& getAll()
Definition: ezarticletype.php:157
eZXMLRPCBool
Definition: ezxmlrpcbool.php:37
eZXMLRPCInt
Definition: ezxmlrpcint.php:37
eZXMLRPCString
Definition: ezxmlrpcstring.php:37
eZXMLRPCStruct
Definition: ezxmlrpcstruct.php:37
$type
$type
Definition: classes/admin/linkselect.php:220
$ReturnData
$ReturnData
Definition: ezarticle/xmlrpc/typelist.php:49
$typeList
$typeList
Definition: ezarticle/xmlrpc/typelist.php:32
$part_arr
foreach( $typeList as $type) $part_arr
Definition: ezarticle/xmlrpc/typelist.php:43
$types
$types
Definition: ezarticle/xmlrpc/typelist.php:30
$part
$part
Definition: ezarticle/xmlrpc/typelist.php:47
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.